Bug 626108 - nautilus-2.31.90-1.fc14.i686 not responding
nautilus-2.31.90-1.fc14.i686 not responding
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-08-21 20:49 EDT by GoinEasy9
Modified: 2015-03-03 17:52 EST (History)
6 users (show)

See Also:
Fixed In Version: glib2-2.26.0-2.fc14.i686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 06:28:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nautilus gdb session (31.58 KB, text/plain)
2010-08-31 23:03 EDT, GoinEasy9
no flags Details
nautilus gdb output (10.86 KB, text/plain)
2010-09-27 14:40 EDT, GoinEasy9
no flags Details
Nautilus freeze screenshot (395.93 KB, image/png)
2010-09-29 16:32 EDT, GoinEasy9
no flags Details

  None (edit)
Description GoinEasy9 2010-08-21 20:49:21 EDT
Description of problem:  100% CPU and not responding notification.


Version-Release number of selected component (if applicable):
nautilus-2.31.90-1.fc14.i686

How reproducible: Click nautilus icon on panel, up arrow twice to File System, click /usr, click /share, click /man


Steps to Reproduce:
1. Same as above.
2.
3.
  
Actual results: No icons appear (after testing a few times, once they did), but, whether icons appeared in /man folder or not, CPU was at 100% (one out of 4 on AMD Phenom II X4 955) and Nautilus was non responsive.


Expected results:


Additional info:  Trying to "X" out of Nautilus window notification read "man not responding", after a minute I hit force quit.
F14 installed from alpha RC3
System:    Host fedora14dw32 Kernel 2.6.35.2-9.fc14.i686.PAE i686 (32 bit) Distro Fedora release 14 (Laughlin)
Disks:     HDD Total Size: 500.1GB (0.9% used) 1: /dev/sda ST3500320AS 500.1GB 
Partition: ID:/ size: 99G used: 3.9G (5%) fs: ext4 ID:/boot size: 1008M used: 88M (10%) fs: ext4 
           ID:/home size: 356G used: 252M (1%) fs: ext4 ID:swap-1 size: 4.29GB used: 0.00GB (0%) fs: swap 
Info:      Processes 211 Uptime 15 min Memory 383.5/4013.7MB Runlevel 5 Client Shell inxi 1.4.12 

I came across this error investigating the Transaction check error from tonight's update"
Transaction Check Error:
  file /usr/share/man/man1/gnome-about.1.gz from install of gnome-desktop-2.31.90-1.fc14.i686 conflicts with file from package gnome-desktop3-2.90.4-2.fc14.i686
Comment 1 GoinEasy9 2010-08-21 20:53:51 EDT
Bottom line from messages after force quitting nautilus:

Aug 21 20:50:26 fedora14dw32 dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.87" (uid=500 pid=3029 comm="nautilus) interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply=0 destination=":1.30" (uid=0 pid=1598 comm="/usr/sbin/console-kit-daemon))
Comment 2 GoinEasy9 2010-08-22 01:38:01 EDT
Sorry for not testing further at first.  The freezing of Nautilus is not limited to the /usr folder, but becomes unresponsive more often when wading down deep into the file tree, and is not limited to those folders that have large amounts of files.  Using bash commands I can access all the same files quickly.
Comment 3 Tomáš Bžatek 2010-08-30 08:30:51 EDT
Can you please grab a backtrace when this freeze occurs?
Comment 4 GoinEasy9 2010-08-31 23:02:34 EDT
I'm sorry, I'm still an amateur at getting backtraces.  The best I could do was use gdb with the process ID and was greated with missing debuginfo notices.  When I tried to load the missing debuginfos I was told they were already installed.  I was able to run gdb until nautilus froze, then "x"'d out and force quit.  I don't see anything helpful in what gdb came up with, but I'm attaching the session.  I know your not a tutor, but if you see something that I did wrong, I'd be happy to rerun the backtrace with your instructions.  abrt is not helping, it is not catching the lock up or the force quit.
Comment 5 GoinEasy9 2010-08-31 23:03:43 EDT
Created attachment 442314 [details]
nautilus gdb session
Comment 6 Hicham HAOUARI 2010-09-27 11:17:19 EDT
Added to F14Blocker , really annoying bug
Comment 7 Tomáš Bžatek 2010-09-27 11:27:54 EDT
Please see http://fedoraproject.org/wiki/StackTraces for gdb instructions. We really need the backtrace to know what's going on.
Comment 8 GoinEasy9 2010-09-27 14:39:49 EDT
Well, while I think I got the hang of gdb (thanks for the link), I am unable to run nautilus (within gdb).  I'm getting a SIGABRT instead of the appearance of the nautilus window.  I'm attaching the session which does contain a stack trace after the SIGABRT.  If you have any hints as to what arguments I can add to the gdb command to get it past the SIGABRT so I can actually run nautilus till it freezes, I'd appreciate hearing them.  When I first made the bugzilla, I was able to get farther, with the nautilus window coming up, but could not get past the fact that there were either missing debuginfos, or that gdb could not see the debuginfos that were there.
BTW - nautilus-2.31.92-1.fc14.i686 is now the current version.
Comment 9 GoinEasy9 2010-09-27 14:40:56 EDT
Created attachment 450000 [details]
nautilus gdb output
Comment 10 Adam Williamson 2010-09-27 21:26:16 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Sébastien Wilmet 2010-09-28 13:07:13 EDT
I think this bug is related to Bug 633373, which has the same problem but for source completion with gtksourceview (e.g. with gedit): if there are a lot of proposals, it takes several seconds to appear and the CPU is at 100% during this time.
Comment 12 Hicham HAOUARI 2010-09-28 13:24:25 EDT
It doesn't matter how much files nautilus is gonna display, sometimes it
"hangs" with less than 10 items to display.

How can "catch" nautilus in gdb ?
Comment 13 GoinEasy9 2010-09-29 00:00:22 EDT
I have left nautilus run the 100% cpu, not for several seconds, but for minutes.  When I "X" out of the window, I get a notification window that says "man is not responding", and nautilus is indeed frozen.
BTW - on F13, clicking on /usr then /share then /man takes a fraction of a second (with only a momentary blip in cpu usage).  This is the same machine that is running F14.  I've seen nautilus hang a few seconds before when trying to bring up the contents of large folders, but this is not one of those hangs.
Comment 14 GoinEasy9 2010-09-29 16:32:25 EDT
Created attachment 450578 [details]
Nautilus freeze screenshot
Comment 15 Tomáš Bžatek 2010-09-30 09:07:15 EDT
BTW. there's a nautilus-2.32.0-1.fc14, can you please test this with all other stable 2.32.0 gnome updates? (this is important). Then there was a bug 634757 which I don't know if it affects nautilus functionality.

(In reply to comment #13)
> I have left nautilus run the 100% cpu, not for several seconds, but for
> minutes.
If it's running in an endless loop, then there's a possibility to catch the backtrace. Find out the nautilus PID (pgrep nautilus) and then attach to it by `gdb nautilus <PID>'. It will stop eating CPU and you'd be able to do the magic "thread apply all bt". Remember to have proper debuginfo packages installed.
Comment 16 Tomáš Bžatek 2010-09-30 09:51:41 EDT
Also, make sure you have glib2-2.26.0-1.fc14.1
http://koji.fedoraproject.org/koji/buildinfo?buildID=198028
Comment 17 Hicham HAOUARI 2010-09-30 10:58:58 EDT
#0  0x06cb434a in gtk_tree_model_iter_has_child ()
   from /usr/lib/libgtk-x11-2.0.so.0
#1  0x00caac84 in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#2  0x00caacac in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#3  0x00caaf0c in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#4  0x00cad883 in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#5  0x00cae4a7 in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#6  0x00855f5d in atk_object_ref_accessible_child ()
   from /usr/lib/libatk-1.0.so.0
#7  0x00b3f0c0 in ?? () from /usr/lib/gtk-2.0/modules/libatk-bridge.so
#8  0x0024a9e3 in ?? () from /lib/libgobject-2.0.so.0
#9  0x0025424e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#10 0x00254585 in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#11 0x00cb061b in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#12 0x06bae699 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#13 0x00238be3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#14 0x0024b31b in ?? () from /lib/libgobject-2.0.so.0
#15 0x0025424e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#16 0x00254403 in g_signal_emit () from /lib/libgobject-2.0.so.0
#17 0x06cb5278 in gtk_tree_model_row_inserted ()
   from /usr/lib/libgtk-x11-2.0.so.0
#18 0x06cbf4ae in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x06bae699 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#20 0x00238be3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#21 0x0024b0f0 in ?? () from /lib/libgobject-2.0.so.0
#22 0x0025424e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#23 0x00254403 in g_signal_emit () from /lib/libgobject-2.0.so.0
#24 0x06cb5278 in gtk_tree_model_row_inserted ()
   from /usr/lib/libgtk-x11-2.0.so.0
#25 0x080eceb9 in ?? ()
#26 0x080ecfc9 in ?? ()
#27 0x080ee140 in ?? ()
#28 0x080ee63e in ?? ()
#29 0x00255708 in g_cclosure_marshal_VOID__POINTER ()
   from /lib/libgobject-2.0.so.0
#30 0x00238be3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#31 0x0024b0f0 in ?? () from /lib/libgobject-2.0.so.0
#32 0x0025424e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#33 0x00254403 in g_signal_emit () from /lib/libgobject-2.0.so.0
#34 0x081097bb in ?? ()
#35 0x08102b2f in ?? ()
#36 0x08102d1d in ?? ()
#37 0x08102f0b in ?? ()
#38 0x002be68c in ?? () from /lib/libgio-2.0.so.0
#39 0x002de54f in g_simple_async_result_complete () from /lib/libgio-2.0.so.0
#40 0x002de5cf in ?? () from /lib/libgio-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#41 0x0013d042 in ?? () from /lib/libglib-2.0.so.0
#42 0x00141192 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x00141978 in ?? () from /lib/libglib-2.0.so.0
#44 0x0014204b in g_main_loop_run () from /lib/libglib-2.0.so.0
#45 0x06ba9499 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#46 0x0807f633 in ?? ()
#47 0x00939e16 in __libc_start_main () from /lib/libc.so.6
#48 0x0806a771 in ?? ()


This is a backtrace while "hanging"
Comment 18 Tomáš Bžatek 2010-09-30 11:10:31 EDT
Thanks, good first step, now please install missing debuginfo files: http://fedoraproject.org/wiki/StackTraces#What_are_debugging_symbols.2C_and_why_are_they_important.3F

(gdb should print you the command automatically)
Comment 19 Hicham HAOUARI 2010-09-30 11:43:06 EDT
#0  0x003b3fa6 in g_atomic_pointer_get () from /lib/libglib-2.0.so.0
#1  0x0025b75c in g_type_interface_peek () from /lib/libgobject-2.0.so.0
#2  0x06cb4343 in gtk_tree_model_iter_has_child ()
   from /usr/lib/libgtk-x11-2.0.so.0
#3  0x06cbd5ba in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#4  0x06cb4356 in gtk_tree_model_iter_has_child ()
   from /usr/lib/libgtk-x11-2.0.so.0
#5  0x00f9dc84 in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#6  0x00f9dcac in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#7  0x00f9df0c in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#8  0x00fa0883 in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#9  0x00fa14a7 in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#10 0x00855f5d in atk_object_ref_accessible_child (accessible=0x9c4e6f0, i=104)
    at atkobject.c:800
#11 0x001a30c0 in ?? () from /usr/lib/gtk-2.0/modules/libatk-bridge.so
#12 0x0024a9e3 in ?? () from /lib/libgobject-2.0.so.0
#13 0x0025424e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#14 0x00254585 in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#15 0x00fa361b in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#16 0x06bae699 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x00238be3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#18 0x0024b31b in ?? () from /lib/libgobject-2.0.so.0
#19 0x0025424e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#20 0x00254403 in g_signal_emit () from /lib/libgobject-2.0.so.0
#21 0x06cb5278 in gtk_tree_model_row_inserted ()
   from /usr/lib/libgtk-x11-2.0.so.0
#22 0x06cbf4ae in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x06bae699 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x00238be3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#25 0x0024b0f0 in ?? () from /lib/libgobject-2.0.so.0
#26 0x0025424e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#27 0x00254403 in g_signal_emit () from /lib/libgobject-2.0.so.0
#28 0x06cb5278 in gtk_tree_model_row_inserted ()
   from /usr/lib/libgtk-x11-2.0.so.0
#29 0x080eceb9 in report_row_inserted (model=0x9b9e120, iter=0xbf9cbbf0)
    at fm-tree-model.c:622
#30 0x080ecfc9 in report_node_inserted (model=0x9b9e120, node=0x9ea2b00)
    at fm-tree-model.c:689
#31 0x080ee140 in insert_node (model=0x9b9e120, parent=0x99d3b38, node=
    0x9ea2b00) at fm-tree-model.c:880
#32 0x080ee63e in process_file_change (directory=0x995c480, changed_files=
    0x9e7e190 = {...}, callback_data=0x9ba57c0) at fm-tree-model.c:1015
#33 files_changed_callback (directory=0x995c480, changed_files=
    0x9e7e190 = {...}, callback_data=0x9ba57c0) at fm-tree-model.c:1029
#34 0x00255708 in g_cclosure_marshal_VOID__POINTER ()
   from /lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#35 0x00238be3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#36 0x0024b0f0 in ?? () from /lib/libgobject-2.0.so.0
#37 0x0025424e in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#38 0x00254403 in g_signal_emit () from /lib/libgobject-2.0.so.0
#39 0x081097bb in nautilus_directory_emit_files_added (directory=0x995c480, 
    added_files=0x9e7e190 = {...}) at nautilus-directory.c:761
#40 0x08102b2f in dequeue_pending_idle_callback (callback_data=0x995c480)
    at nautilus-directory-async.c:997
#41 0x003db042 in ?? () from /lib/libglib-2.0.so.0
#42 0x003df192 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x003df978 in ?? () from /lib/libglib-2.0.so.0
#44 0x003e004b in g_main_loop_run () from /lib/libglib-2.0.so.0
#45 0x06ba9499 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#46 0x0807f633 in main (argc=1, argv=0xbf9cc444) at nautilus-main.c:544
Comment 20 Hicham HAOUARI 2010-09-30 11:44:12 EDT
used versions :

nautilus-2.32.0-1.fc14.i686
glib2-2.26.0-1.fc14.i686
Comment 21 Hicham HAOUARI 2010-09-30 11:57:31 EDT
#0  g_atomic_pointer_get (atomic=0x97fb648) at gatomic-gcc.c:77
#1  0x0025b77d in lookup_iface_entry_I (instance_class=0x9a96d88, iface_type=159364648) at gtype.c:561
#2  type_lookup_iface_vtable_I (instance_class=0x9a96d88, iface_type=159364648) at gtype.c:616
#3  g_type_interface_peek (instance_class=0x9a96d88, iface_type=159364648) at gtype.c:3099
#4  0x06cb3e43 in IA__gtk_tree_model_get_path (tree_model=0x9a180b0, iter=0xbffdb3f0) at gtktreemodel.c:1140
#5  0x001b7cbc in count_rows (model=0x9a180b0, iter=<value optimized out>, end_path=0xb6172628, count=0xbffdb49c, level=2, depth=3) at gailtreeview.c:4429
#6  0x001b7cac in count_rows (model=0x9a180b0, iter=<value optimized out>, end_path=0xb6172628, count=0xbffdb49c, level=1, depth=3) at gailtreeview.c:4437
#7  0x001b7f0c in get_index (tree_view=0x9a8c288 [GtkTreeView], path=<value optimized out>, actual_column=0) at gailtreeview.c:4374
#8  0x001ba883 in cell_info_get_index (tree_view=0x9a8c288 [GtkTreeView], index=0xbffdb57c, info=<value optimized out>) at gailtreeview.c:4142
#9  0x001bb4a7 in find_cell (obj=0x9ba5818 [GailTreeView], i=66) at gailtreeview.c:4193
#10 gail_tree_view_ref_child (obj=0x9ba5818 [GailTreeView], i=66) at gailtreeview.c:835
#11 0x00855f5d in atk_object_ref_accessible_child (accessible=0x9ba5818 [GailTreeView], i=66) at atkobject.c:800
#12 0x001e70c0 in ?? () from /usr/lib/gtk-2.0/modules/libatk-bridge.so
#13 0x0024a9e3 in signal_emit_unlocked_R (node=0x95d3d60, detail=498, instance=0x9ba5818, emission_return=0x0, instance_and_params=0x9cb5ce0)
    at gsignal.c:3218
#14 0x0025424e in g_signal_emit_valist (instance=0x9ba5818, signal_id=104, detail=498, var_args=0xbffdb920 "") at gsignal.c:2983
#15 0x00254585 in g_signal_emit_by_name (instance=0x9ba5818, detailed_signal=0x1c6215 "children_changed::add") at gsignal.c:3077
#16 0x001bd61b in model_row_inserted (tree_model=0x9a180b0, path=0x9cc3720, iter=0x9c63510, user_data=0x9a8c288) at gailtreeview.c:2903
#17 0x06bae699 in _gtk_marshal_VOID__BOXED_BOXED (closure=0x9c1c3c0, return_value=0x0, n_param_values=3, param_values=0x9cab480, invocation_hint=
    0xbffdbad0, marshal_data=0x1bd4b0) at gtkmarshalers.c:1311
#18 0x00238be3 in g_closure_invoke (closure=0x9c1c3c0, return_value=0x0, n_param_values=3, param_values=0x9cab480, invocation_hint=0xbffdbad0)
    at gclosure.c:766
#19 0x0024b31b in signal_emit_unlocked_R (node=0x99c0e80, detail=0, instance=0x9a180b0, emission_return=0x0, instance_and_params=0x9cab480)
    at gsignal.c:3322
#20 0x0025424e in g_signal_emit_valist (instance=0x9a180b0, signal_id=404, detail=0, var_args=0xbffdbc94 "H\266\177\t\210wc\t\001") at gsignal.c:2983
#21 0x00254403 in g_signal_emit (instance=0x9a180b0, signal_id=404, detail=0) at gsignal.c:3040
#22 0x06cb5278 in IA__gtk_tree_model_row_inserted (tree_model=0x9a180b0, path=0x9cc3720, iter=0xbffdbd20) at gtktreemodel.c:1528
#23 0x06cbf4ae in gtk_tree_model_sort_row_inserted (s_model=0x9a97220, s_path=0xb6172630, s_iter=0x9c63520, data=0x9a180b0) at gtktreemodelsort.c:691
#24 0x06bae699 in _gtk_marshal_VOID__BOXED_BOXED (closure=0x9a96eb0, return_value=0x0, n_param_values=3, param_values=0x9cb5da0, invocation_hint=
    0xbffdbe90, marshal_data=0x6cbf2b0) at gtkmarshalers.c:1311
#25 0x00238be3 in g_closure_invoke (closure=0x9a96eb0, return_value=0x0, n_param_values=3, param_values=0x9cb5da0, invocation_hint=0xbffdbe90)
    at gclosure.c:766
#26 0x0024b0f0 in signal_emit_unlocked_R (node=0x99c0e80, detail=0, instance=0x9a97220, emission_return=0x0, instance_and_params=0x9cb5da0)
    at gsignal.c:3252
#27 0x0025424e in g_signal_emit_valist (instance=0x9a97220, signal_id=404, detail=0, var_args=0xbffdc054 "H\266\177\t\020!\246\t\001") at gsignal.c:2983
#28 0x00254403 in g_signal_emit (instance=0x9a97220, signal_id=404, detail=0) at gsignal.c:3040
#29 0x06cb5278 in IA__gtk_tree_model_row_inserted (tree_model=0x9a97220, path=0xb6172630, iter=0xbffdc0d0) at gtktreemodel.c:1528
#30 0x080eceb9 in report_row_inserted (model=0x9a97220 [FMTreeModel], iter=0xbffdc0d0) at fm-tree-model.c:622
---Type <return> to continue, or q <return> to quit---
#31 0x080ecfc9 in report_node_inserted (model=0x9a97220 [FMTreeModel], node=0x9c63808) at fm-tree-model.c:689
#32 0x080ee140 in insert_node (model=0x9a97220 [FMTreeModel], parent=0x9a81230, node=0x9c63808) at fm-tree-model.c:880
#33 0x080ee63e in process_file_change (directory=0x99a0020 [NautilusVFSDirectory], changed_files=0x9cd8180 = {...}, callback_data=0x9a9a2d0)
    at fm-tree-model.c:1015
#34 files_changed_callback (directory=0x99a0020 [NautilusVFSDirectory], changed_files=0x9cd8180 = {...}, callback_data=0x9a9a2d0) at fm-tree-model.c:1029
#35 0x00255708 in g_cclosure_marshal_VOID__POINTER (closure=0x9d10b70, return_value=0x0, n_param_values=2, param_values=0x9ab7850, invocation_hint=
    0xbffdc2c0, marshal_data=0x0) at gmarshal.c:603
#36 0x00238be3 in g_closure_invoke (closure=0x9d10b70, return_value=0x0, n_param_values=2, param_values=0x9ab7850, invocation_hint=0xbffdc2c0)
    at gclosure.c:766
#37 0x0024b0f0 in signal_emit_unlocked_R (node=0x961ed18, detail=0, instance=0x99a0020, emission_return=0x0, instance_and_params=0x9ab7850)
    at gsignal.c:3252
#38 0x0025424e in g_signal_emit_valist (instance=0x99a0020, signal_id=162, detail=0, var_args=0xbffdc480 "\211\227\020\b\f{\"\b\350\304\375\277/+\020\b ")
    at gsignal.c:2983
#39 0x00254403 in g_signal_emit (instance=0x99a0020, signal_id=162, detail=0) at gsignal.c:3040
#40 0x081097bb in nautilus_directory_emit_files_added (directory=0x99a0020 [NautilusVFSDirectory], added_files=0x9cd8180 = {...})
    at nautilus-directory.c:761
#41 0x08102b2f in dequeue_pending_idle_callback (callback_data=0x99a0020) at nautilus-directory-async.c:997
#42 0x003db042 in g_idle_dispatch (source=0x9caa7e0, callback=0x8102930 <dequeue_pending_idle_callback>, user_data=0x99a0020) at gmain.c:4254
#43 0x003df192 in g_main_dispatch (context=0x95aeea8) at gmain.c:2149
#44 g_main_context_dispatch (context=0x95aeea8) at gmain.c:2702
#45 0x003df978 in g_main_context_iterate (context=0x95aeea8, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#46 0x003e004b in g_main_loop_run (loop=0x96b6fe0) at gmain.c:2988
#47 0x06ba9499 in IA__gtk_main () at gtkmain.c:1237
#48 0x0807f633 in main (argc=1, argv=0xbffdc924) at nautilus-main.c:544
Comment 22 Hicham HAOUARI 2010-09-30 11:58:30 EDT
maybe it is related to bug 634757
Comment 23 Adam Williamson 2010-09-30 13:15:47 EDT
or to the known-bad glib2 build - can you give 'rpm -q glib2' ?
Comment 24 Adam Williamson 2010-09-30 13:16:26 EDT
nevr mind, i see you did. Can you please try with the older glib2? run 'yum downgrade glib2*' and try again.
Comment 25 GoinEasy9 2010-09-30 23:11:17 EDT
Just a note, after tonight's updates, for me, nautilus problem has been resolved.
nautilus-2.32.0-1.fc14.i686
and if this helps, version of glib2 is:
glib2-2.26.0-2.fc14.i686
which also came in tonight.
Comment 26 Hicham HAOUARI 2010-10-01 06:25:04 EDT
I confirm that it has been resolved in here too.
Comment 27 Tomáš Bžatek 2010-10-01 06:28:29 EDT
Alright, thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.